Bug 478163 - MIGRATED_FROM_JIRA: cannot load server configuration into penrose studio onto my debian host
MIGRATED_FROM_JIRA: cannot load server configuration into penrose studio onto...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:05 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:05:06 EST
Studio do not populate the work directory. It aborts after trying to access to the downloaded configuration. I have checked file permissions, and I have the rights to write into the penrose's directory. 

LicenseUtil          [  35] Registering BC version 1.32
PenroseApplication   [   ?] Loading projects from /home/stephane/.penrose/config.xml
ApplicationConfig    [  45] Loading project configurations file from: /home/stephane/.penrose/config.xml
PenroseClient        [ 118] Connecting to Penrose server at service:jmx:rmi://localhost/jndi/rmi://localhost:1099/jmx
PenroseActionBarAdvisor [   ?] fillMenuBar
PenroseActionBarAdvisor [   ?] fillCoolBar
ValidationView       [   ?] createPartControl
PenroseClient        [ 118] Connecting to Penrose server at service:jmx:rmi://localhost/jndi/rmi://localhost:1099/jmx
PenroseApplication   [   ?] -------------------------------------------------------------------------------------
PenroseApplication   [   ?] Downloading configuration to /home/stephane/penrose/work
PenroseApplication   [   ?] Opening project from /home/stephane/penrose/work
PenroseWorkbenchWindowAdvisor [   ?] /home/stephane/penrose/work/conf/server.xml (No such file or directory)
java.io.FileNotFoundException: /home/stephane/penrose/work/conf/server.xml (No such file or directory)
        at java.io.FileInputStream.open(Native Method)
        at java.io.FileInputStream.<init>(FileInputStream.java:106)
        at java.io.FileInputStream.<init>(FileInputStream.java:66)
        at java.io.FileReader.<init>(FileReader.java:41)
        at org.safehaus.penrose.config.PenroseConfigReader.<init>(PenroseConfigReader.java:43)
        at org.safehaus.penrose.studio.PenroseApplication.open(Unknown Source)
Additional Comments From endisd dated Wed Oct 25 16:03:26 CDT 2006 
Hi Stephane,

Please don't use the nightly build unless you are looking for a particular feature that hasn't been released yet. The nightly build is used for development only and may not work at all. We can't accept bugs filed against the nightly builds.

Please try again with the officially released builds such as 1.0.x or 1.1. Thanks.

Endi


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'matic',
          'key' => 'PENROSE-185',
          'assignee' => 'endisd',
          'summary' => 'cannot load server configuration into penrose studio onto my debian host',
          'id' => '10540',
          'updated' => '2007-03-23 19:34:23.0',
          'votes' => '0',
          'fixVersions' => [],
          'description' => 'Studio do not populate the work directory. It aborts after trying to access to the downloaded configuration. I have checked file permissions, and I have the rights to write into the penrose's directory. 

LicenseUtil          [  35] Registering BC version 1.32
PenroseApplication   [   ?] Loading projects from /home/stephane/.penrose/config.xml
ApplicationConfig    [  45] Loading project configurations file from: /home/stephane/.penrose/config.xml
PenroseClient        [ 118] Connecting to Penrose server at service:jmx:rmi://localhost/jndi/rmi://localhost:1099/jmx
PenroseActionBarAdvisor [   ?] fillMenuBar
PenroseActionBarAdvisor [   ?] fillCoolBar
ValidationView       [   ?] createPartControl
PenroseClient        [ 118] Connecting to Penrose server at service:jmx:rmi://localhost/jndi/rmi://localhost:1099/jmx
PenroseApplication   [   ?] -------------------------------------------------------------------------------------
PenroseApplication   [   ?] Downloading configuration to /home/stephane/penrose/work
PenroseApplication   [   ?] Opening project from /home/stephane/penrose/work
PenroseWorkbenchWindowAdvisor [   ?] /home/stephane/penrose/work/conf/server.xml (No such file or directory)
java.io.FileNotFoundException: /home/stephane/penrose/work/conf/server.xml (No such file or directory)
        at java.io.FileInputStream.open(Native Method)
        at java.io.FileInputStream.<init>(FileInputStream.java:106)
        at java.io.FileInputStream.<init>(FileInputStream.java:66)
        at java.io.FileReader.<init>(FileReader.java:41)
        at org.safehaus.penrose.config.PenroseConfigReader.<init>(PenroseConfigReader.java:43)
        at org.safehaus.penrose.studio.PenroseApplication.open(Unknown Source)',
          'affectsVersions' => [],
          'created' => '2006-10-25 15:24:57.0',
          'environment' => 'debian sarge, java 1.5.0_01, nightly build 2006/10/25',
          'resolution' => '2',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:05:07 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-185

Note You need to log in before you can comment on or make changes to this bug.